# FORCE_EFI_BOOT

@echo -off
# + ============================================================== +
#  Copyright (c) 2018, Intel Corporation.

#  This source code and any documentation accompanying it ("Material") is furnished
#  under license and may only be used or copied in accordance with the terms of that
#  license.  No license, express or implied, by estoppel or otherwise, to any
#  intellectual property rights is granted to you by disclosure or delivery of these
#  Materials.  The Materials are subject to change without notice and should not be
#  construed as a commitment by Intel Corporation to market, license, sell or support
#  any product or technology.  Unless otherwise provided for in the license under which
#  this Material is provided, the Material is provided AS IS, with no warranties of
#  any kind, express or implied, including without limitation the implied warranties
#  of fitness, merchantability, or non-infringement.  Except as expressly permitted by
#  the license for the Material, neither Intel Corporation nor its suppliers assumes
#  any responsibility for any errors or inaccuracies that may appear herein.  Except
#  as expressly permitted by the license for the Material, no part of the Material
#  may be reproduced, stored in a retrieval system, transmitted in any form, or
#  distributed by any means without the express written consent of Intel Corporation.

#  Module Name:  startup.nsh

#  Abstract:  Script file for invoking iflash.

# + ============================================================== +
#    Program all blocks of BIOS from capsule file 
# + ============================================================== +
mode 80 25
;foundimage section is simply to locate the correct drive
cls
if exist .\iflash32.efi then
 goto FOUNDIMAGE
endif
if exist fs0:\iflash32.efi then
 fs0:
 echo Found Update Packages on fs0:
 goto FOUNDIMAGE
endif
if exist fs1:\iflash32.efi then
 fs1:
 echo Found Update Packages on fs1:
 goto FOUNDIMAGE
endif
if exist fs2:\iflash32.efi then
 fs2:
 echo Found Update Packages on fs2:
 goto FOUNDIMAGE
endif
 echo "Unable to find Update Packages".  
 echo "Please mount the drive with the update package".
 echo ""
 goto END
:FOUNDIMAGE
if exist R069.flg then 
goto cleanup
endif
if exist R066.flg then 
goto R069
endif
if exist T066.flg then
goto R066
endif

echo ==========================================================================
echo "This utility will allow you to update the System BIOS."
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo "****************** This is a BIOS only update package.************************** 
echo "*** If you are not using the most current BMC and FRUSDR, it is recommended you*** 
echo "*** download them and update the full package before applying this update.   ***
echo "********************************************************************************
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"  
echo "Press ENTER to continue or 'q' to QUIT."
echo "Do NOT reboot during this process until you see Updates completed."


echo ==========================================================================
pause
echo ""
# + ============================================================== +
#    Program all blocks of BIOS from capsule file 
# + ============================================================== +

echo "Flashing BIOS..."
:T066
# + ============================================================== +
#    Update transition capsule
# + ============================================================== +
copy startup.nsh t066.flg
IFlash32.efi T066.cap /u /ni
echo Phase 1 of 3 complete. System will restart in 3 seconds
stall 3000000 
reset

:R066
# + ============================================================== +
#    Update BIOS 66
# + ============================================================== +
copy startup.nsh R066.flg
IFlash32.efi R0066.cap /u /ni /nv
echo Phase 2 of 3 complete. System will restart in 3 seconds
stall 3000000
reset

:R069
# + ============================================================== +
#    Update BIOS 69
# + ============================================================== +
copy startup.nsh R069.flg
IFlash32.efi R0069.cap /u /ni /nv
echo Phase 3 of 3 complete. Please remove USB key and restart system

:done
Echo "BIOS is updated. Remove USB key and restart." 

:cleanup
del t066.flg > null
del R066.flg > null
del R069.flg > null

:end

